
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详细解读PHP类的封装 / 憋错料</title>

    <meta name="description" content="详细解读PHP类的封装 [导读] public:方法或者属性在任何作用域都可以访问到,而且这是默认的,如果没有为一个属性或方法指定访问修饰符,它将是public.protected:方法或者属性只能从类或者继承类的一个成员中访问到.private:方法或者属 public:方法或者属性在任何作用域都可以访问到,而且这是默认的,如果没有为一个属性或方法指定访问修饰符,它将是public. protected:方法或者属性只能从类或者继承类的一个成员中访问到. private:方法或者属性只能从类的一个成员中访问到,而且无">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">详细解读PHP类的封装</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><P><STRONG>[导读]</STRONG><br />
public：方法或者属性在任何作用域都可以访问到，而且这是默认的，如果没有为一个属性或方法指定访问修饰符,它将是public。protected：方法或者属性只能从类或者继承类的一个成员中访问到。private：方法或者属</p>
<p><P>public：方法或者属性在任何作用域都可以访问到，而且这是默认的，如果没有为一个属性或方法指定访问修饰符,它将是public。</p>
<p>protected：方法或者属性只能从类或者继承类的一个成员中访问到。</p>
<p>private：方法或者属性只能从类的一个成员中访问到，而且无法从继承类的成员中访问到。经过private标记的方法或者属性可以在继承类中重新定义。每一个类只能看到它自己定义的私有方法。</p>
<p>这三个修饰符从作用范围上来讲应该像这样从大到小排序：</p>
<p>public→protected→private之所以说是在作用范围上是因为类跟我们之前的函数一样，把一些属性和方法进行了PHP类的封装。这个封装就决定了数据的“可见性”了，这样我们在类的外面不能够随意修改所定义的属性和方法而只能够进行调用，这就是封装的好处，同时也提高了安全性。为了说明这几个修饰符的作用，请看如下代码：</p>
<p><OL><LI>&lt;&nbsp;?php</LI><br />
  <LI>class&nbsp;myClass{</LI><br />
  <LI>public&nbsp;$public="Public";</LI><br />
  <LI>protected&nbsp;$protected="Protected";</LI><br />
  <LI>private&nbsp;$private="Private";</LI><br />
  <LI>function&nbsp;say_Hello(){</LI><br />
  <LI>//我现在什么也不做，等下再告诉你</LI><br />
  <LI>}</LI><br />
  <LI>}</LI><br />
  <LI>$obj=new&nbsp;myClass();</LI><br />
  <LI>echo&nbsp;$obj-&gt;public;</LI><br />
  <LI>//echo&nbsp;$obj-&gt;protected;</LI><br />
  <LI>//echo&nbsp;$obj-&gt;private;</LI><br />
  <LI>?&gt;</LI><br />
  <LI>&lt;&nbsp;?php</LI><br />
  <LI>class&nbsp;myClass{</LI><br />
  <LI>public&nbsp;$public="Public";</LI><br />
  <LI>protected&nbsp;$protected="Protected";</LI><br />
  <LI>private&nbsp;$private="Private";</LI><br />
  <LI>function&nbsp;say_Hello(){</LI><br />
  <LI>//我现在什么也不做，等下再告诉你</LI><br />
  <LI>}</LI><br />
  <LI>}</LI><br />
  <LI>$obj=new&nbsp;myClass();</LI><br />
  <LI>echo&nbsp;$obj-&gt;public;</LI><br />
  <LI>//echo&nbsp;$obj-&gt;protected;</LI><br />
  <LI>//echo&nbsp;$obj-&gt;private;</LI><br />
  <LI>?&gt;</LI></OL></p>
<p><P>通过运行以上示例我们得到一个“Public”，但当你把//echo $obj-&gt;private;的注释去掉时，你会得到一下如下的错误：Fatal<br />
error: Cannot access protected property myClass::$protected in<br />
E:apachehtdocsexamplefile.php on line 13。</p>
<p>可以看到我们不能随意去访问类的属性定义，也就是我们不能去修改PHP类的封装中已经定义的一些操作，这就是可见性了。我们在“外面”是不知道这个类中到底有那些成员，因为这些成员对于其他的类可能是不可见的。</p>
<p>当然如果我们一定要访问或者修改定义为“私有”的属性时，也可以使用PHP所提供的系统方法：_get()和_set()。关于这个在以后再来了解，因为现在我对此也只是有个了解啦。</p>
<p><A href="http://www.bubuko.com/infodetail-184072.html" rel="external nofollow noreferrer">详细解读PHP类的封装,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 19:12:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/get/" title="get">get</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>详细解读PHP类的封装的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kZYqjM.html" rel="bookmark">详细解读PHP类的封装 （转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP类的封装对于初学者来说是比较难懂的,在我们学习这方面的知识之前,首先要讲到的是PHP中的public.protected与private修饰符,可能在之前的代码中你已经见识过public这个修饰符,但是我们还并不懂这其中的奥秘,在接下来让我们看看吧. public:方法或者属性在任何作用域都可以访问到,而且这是默认的,如果没有为一个属性或方法指定访问修饰符,它将是public. protected:方法或者属性只能从类或者继承类的一个成员中访问到. private:方法或者属性只能从类的一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzyz7O4.html" rel="bookmark">详细解读Volley（三）&mdash;&mdash; ImageLoader &amp;amp&semi; NetworkImageView</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ImageLoader是一个加载网络图片的封装类,其内部还是由ImageRequest来实现的.但因为源码中没有提供磁盘缓存的设置,所以咱们还需要去源码中进行修改,让我们可以更加自如的设定是否进行磁盘缓存. 一.添加对磁盘缓存的控制 我们默默的打开源码,添加如下代码: private boolean mShouldCache = true; /** * Set whether or not responses to this request should be cached(Disk Cache			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLvbzA3.html" rel="bookmark">详细解读DialogFragment</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详细解读DialogFragment 相信看这篇文章的人都应该知道android中的Dialog了吧,如果对于Dialog还不是很了解可以看我之前的一篇详解文章: Dialog详解:http://www.cnblogs.com/tianzhijiexian/p/3867731.html 随着Fragment这个类的引入,Google官方推荐大家使用DialogFragment来代替传统的Dialog,那么是不是说我们之前学习的Dialog知识都没有用处了呢?非也,新的fragment是来方便大家			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38gaKK0.html" rel="bookmark">Android BLE蓝牙详细解读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代码地址如下:http://www.demodashi.com/demo/15062.html 随着物联网时代的到来,越来越多的智能硬件设备开始流行起来,比如智能手环.心率检测仪.以及各式各样的智能家具和玩具类产品.安卓4.3(API 18)为BLE的核心功能提供平台支持和API,App可以利用它来发现设备.查询服务和读写特性.相比传统的蓝牙,BLE更显著的特点是低功耗.本文主要讲解Android低功耗蓝牙的api使用以及蓝牙扫描.连接.发送数据.接收数据等一系列操作,并主要介绍本人封装的Ble			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OmROoM.html" rel="bookmark">为你详细解读HTTP请求头的具体含意</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当我们打开一个网页时,浏览器要向网站服务器发送一个HTTP请求头,然后网站服务器根据HTTP请求头的内容生成当次请求的内容发送给浏览器.你明白HTTP请求头的具体含意吗?下面一条条的为你详细解读,先看某一次HTTP请求头的具体内容: Accept-Language: zh-cn,zh;q=0.5 Accept-Charset: GB2312,utf-8;q=0.7,*;q=0.7 Accept: text/html,application/xhtml+xml,application/xml;q=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vB7kj3.html" rel="bookmark">项目中连接数据库，类的封装；</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.首先创建一个类,封装数据库和个人信息: package com.yxq.dao; public class Constants { public static String url =&quot;jdbc:mysql://127.0.0.1:3306/personblog&quot;; public static String className=&quot;com.mysql.jdbc.Driver&quot;; public static String userName =&quot;root&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OkExG3.html" rel="bookmark">PHP中的符号 -&amp;gt&semi;、&equals;&amp;gt&semi; 和 &colon;&colon;  以及PDO类的封装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下文链接:http://www.95px.com/program/95px_program_3118.shtml 没关系,下面我们做一下详细的解释,如果你有C++,Perl基础,你会发现这些家伙和他们里面的一些符号功能是差不多的. '- &gt;'符号是&quot;插入式解引用操作符&quot;(infix dereference operator) 换句话说,它是调用由引用传递参数的子程序的方法(当然,还有其它的作用).正如我们上面所提到的,在调用PHP的函数的时候,大部分参数都是通过引用传递的.PHP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l85Vp0.html" rel="bookmark">web&period;xml详细解读（flex项目&comma;框架：cairngorm--blazeDS--spring--ibatis）&lpar;正在编写中&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;listener&gt; &lt;listener-class&gt;flex.messaging.HttpFlexSession&lt;/listener-class&gt; &lt;/listener&gt; HttpFlexSession 是 BlazeDS 提供的一个 Listener,负责监听 Flex 远程调用请求,并进行一些初始化设置 &lt;listener&gt; &lt;listener-class&gt; org.springframework.web.util.Log4jC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lmmgB3.html" rel="bookmark">转载  实现类的封装性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现类的封装性 为了实现良好的封装性,我们通常将类的成员变量声明为private,再通过public的方法来对这个变量进行访问.对一个变量的操作,一般都有读取和赋值操作,我们分别定义两个方法来实现这两种操作,一个是getXxx()(Xxx表示要访问的成员变量的名字),用来读取这个成员变量操作,另外一个是setXxx()用来对这个成员变量赋值.一个类通常就是一个小的模块,我们应该让模块仅仅公开必须要让外界知道的内容,而隐藏其它一切内容.我们在进行程序的详细设计时,应尽量避免一个模块直接修改或操作另			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3OnV90.html" rel="bookmark" class="title">svn文件同步到web服务器，即同步到网站根目录</a>
					<div>
						进入到hooks目录 [[email protected] default]# cd /opt/svn [[email protected] svn]# ll total 4 drwxr-xr-x 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXbXp0.html" rel="bookmark" class="title">Java中通过相对路径来定位文件</a>
					<div>
						通常我们定位文件都是通过绝对路径进行定位,比如“F:/Java/bin/test/test.java”,这样的缺点就是,一旦项目文件移动,这些路径就完全失效. 所以,下面我们来介绍一种通过相对路径来定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLD2keM.html" rel="bookmark" class="title">npm下载错误解决办法</a>
					<div>
						解决办法:删除npmrc文件. 使用镜像 镜像使用方法(三种办法任意一种都能解决问题,建议使用第三种,将配置写死,下次用的时候配置还在):1.通过config命令12npm config set re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2B7g3.html" rel="bookmark" class="title">WINDOWS BITLOCK</a>
					<div>
						BitLocker是什么? Windows BitLocker驱动器加密通过加密Windows操作系统卷上存储的所有数据可以更好地保护计算机中的数据.BitLocker使用TPM帮助保护Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QNPXkM.html" rel="bookmark" class="title">JavaScript和html5 canvas生成圆形印章</a>
					<div>
						代码: function createSeal(id,company,name){ var canvas = document.getElementById(id); var context = ca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QNYXkM.html" rel="bookmark" class="title">利用backgroundwork----递归读取网页源代码，并下载href链接中的文件</a>
					<div>
						今天闲着没事,研究了一下在线更新程序版本的问题.也是工作中的需要,开始不知道如何下手,各种百度也没有找到自己想要的,因为我的需求比较简单,所以就自己琢磨了一下.讲讲我的需求吧.自己在IIs上发布了一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdX7wM.html" rel="bookmark" class="title">JQ简单案例</a>
					<div>
						对J进行一个闭包					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8VgPM.html" rel="bookmark" class="title">洛谷 U6931 灯光</a>
					<div>
						U6931 灯光 题目背景 明天就是校园活动了,小明作为场地的负责人,将一切都布置好了.但是在活动的前几天,校园里的灯却都坏掉了,无奈之下,只好再去买一批灯.但是很遗憾的是,厂家看马上要过年了,就没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kqq6w4.html" rel="bookmark" class="title">耿丹16-1第六次作业</a>
					<div>
						-- Deadline: 2016-10-20 23:00 pm -- 作业内容:https://edu.cnblogs.com/campus/bjgygd/Sixteen-One/homework/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvDZ93.html" rel="bookmark" class="title">【转】&commat;Override must override a superclass method 问题解决</a>
					<div>
						原文网址:http://www.blogjava.net/anchor110/articles/339352.html 如果在使用Eclipse开发Java项目时,在使用 @Override 出现以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6b9yvM.html" rel="bookmark" class="title">extundelete教程（完整版）</a>
					<div>
						作者:marco.jiangzy(少帅) Extundelete是在Linux下,基于开源的数据恢复工具.使用阿里云的云服务器 ECS,您可以方便地安装,及时还原误删除的重要文件. extundele ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGppoQ0.html" rel="bookmark" class="title">Core Animation中的组动画</a>
					<div>
						实际开发中一个物体的运动往往是复合运动,单一属性的运动情况比较少,但恰恰属性动画每次进行动画设置时一次只能设置一个属性进行动画控制(不管是 基础动画还是关键帧动画都是如此),这样一来要做一个复合运动的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kp7Pl3.html" rel="bookmark" class="title">Windows 下 Python如何执行编写的&period;py文件？</a>
					<div>
						在Windows 系统下安装好Pyton后,直接在CMD命令提示符号里 输入CD .py的文件路径, 进入.py文件的所在目录,例如 cd c:\python33\study,进入这个目录后 输入 P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pN62P0.html" rel="bookmark" class="title">Android之JSON解析</a>
					<div>
						做个Android网络编程的同学一定对于JSON解析一点都不陌生,因为现在我们通过手机向服务器请求资源,服务器给我们返回的数据资源一般都是以JSON格式返回,当然还有一些通过XML格式返回,相对JSO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgY7Jp3.html" rel="bookmark" class="title">USACO Section 2&period;1 The Castle</a>
					<div>
						/* ID: lucien23 PROG: castle LANG: C++ */ /********************************************************* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QvgXLM.html" rel="bookmark" class="title">int&period;parse&lpar;&amp;quot&semi;abc&amp;quot&semi;&rpar;之错</a>
					<div>
						int.parse()为强制装换函数. int.Parse(string类型变量名) 该方式是将数字内容的字符串转为int类型,如果字符串内容为空或者null时,则抛出ArgumentNullExce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38rBV2M.html" rel="bookmark" class="title">一、准备工作</a>
					<div>
						1.安装虚拟机和linux,虚拟机可以用vmware,PC可以用workstation,服务器可以使用ESXI,在管理上比较 方便.ESXI还可以通过拷贝镜像文件复制虚拟机,复制后自动修改网卡号和ip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzX2wW3.html" rel="bookmark" class="title">五个在Safari浏览器上的实用快捷键使用</a>
					<div>
						五个在Safari浏览器上的实用快捷键使用. Command+L   前往URL地址栏,填写新的网址或进行搜索    Command+T   开启新的浏览器标签页    Command+W 关闭当前标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pGNO83.html" rel="bookmark" class="title">CoreData数据持久化</a>
					<div>
						CoreData介绍 CoreData是一门功能强大的数据持久化技术,位于SQLite数据库之上,它避免了SQL的复杂性,能让我们以更自然的方式与数据库进行交互.CoreData提供数据–OC对象映射 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vXPKLM.html" rel="bookmark" class="title">IntelliJ IDEA 14&period;1&period;3 默认（Default）快捷键</a>
					<div>
											</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
